| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::MemberFunctor0< R, T > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(T::* FunctionType )()
- typedef R ResultType

## Public Member Functions

- MemberFunctor0 (T *object, FunctionType fn)
- ResultType operator() () const

## Public Attributes

- T * object
- FunctionType fn

### template<class R, class T>
struct Tp::MemberFunctor0< R, T >

## Member Typedef Documentation

template<class R, class T>

typedef R(T::* Tp::MemberFunctor0< R, T >::FunctionType)()

template<class R, class T>

typedef R Tp::MemberFunctor0< R, T >::ResultType

## Constructor & Destructor Documentation

template<class R, class T>

Tp::MemberFunctor0< R, T >::MemberFunctor0 | ( | T * | object,
|  | FunctionType | fn
| ) |  | `[inline]`

## Member Function Documentation

template<class R, class T>

ResultType Tp::MemberFunctor0< R, T >::operator() | ( |  | ) | const`[inline]`

## Member Data Documentation

template<class R, class T>

T* Tp::MemberFunctor0< R, T >::object

template<class R, class T>

FunctionType Tp::MemberFunctor0< R, T >::fn